Bug 631322 - FTBFS perl-Moose-Policy-0.04-2.fc14
FTBFS perl-Moose-Policy-0.04-2.fc14
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: perl-Moose-Policy (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 14:23 EDT by FTBFS
Modified: 2011-01-04 04:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-04 04:15:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (125.36 KB, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details
build.log (17.17 KB, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details
mock.log (928 bytes, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details
root.log (134.86 KB, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details
build.log (17.36 KB, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details
mock.log (936 bytes, text/plain)
2010-09-07 14:23 EDT, FTBFS
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 57913 None None None Never

  None (edit)
Description FTBFS 2010-09-07 14:23:20 EDT
perl-Moose-Policy-0.04-2.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 14:23:23 EDT
Created an attachment (id=444960)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 14:23:25 EDT
Created an attachment (id=444961)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 14:23:26 EDT
Created an attachment (id=444962)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 14:23:27 EDT
Created an attachment (id=444963)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 14:23:29 EDT
Created an attachment (id=444964)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 14:23:30 EDT
Created an attachment (id=444965)
mock.log

mock.log for x86_64
Comment 7 Iain Arnell 2010-11-21 05:58:36 EST
According to upstream bug, Moose::Policy is dead.

Even tho the documentation doesn't make that clear at all (which I
intend to fix shortly), this module is unrecommended by the Moose cabal
for quite some time now. It turned out not to be as good an idea as we
thought.

MooseX::SemiAffordanceAccessor and similar modules are available to
achieve similar results in another way.


$ repoquery --repoid=rawhide --alldeps --whatrequires perl-Moose-Policy
perl-Moose-Policy-0:0.04-2.fc14.noarch
perl-Moose-Policy-tests-0:0.04-2.fc14.noarch

suggests that this package can be safely retired.
Comment 8 Marcela Mašláňová 2010-12-21 07:15:20 EST
http://cpansearch.perl.org/src/DROLSKY/Moose-Policy-0.05/Changes

I'll remove this package.
Comment 9 Marcela Mašláňová 2010-12-21 08:21:05 EST
https://fedorahosted.org/rel-eng/ticket/4320
Comment 10 Marcela Mašláňová 2011-01-04 04:15:33 EST
Package is dead.

Note You need to log in before you can comment on or make changes to this bug.